/**
 *  文件操作工具
 * @date 2021-10-21 09:48:32
 * @author 吴锋霖
 */
export declare class FileUtils {
    /**
     * 判断当前目录是否存在
     */
    static exists(path: string): Promise<Boolean>;
    /**
     * 递归创建目录
     * @param path 目录地址
     */
    static mkdir(path: string): Promise<Boolean>;
    /**
     * 清空目录
     * @param patch 目录地址
     */
    static cleanDirectory(path: string): Promise<Boolean>;
    /**
     * zip压缩文件或目录
     * @param file 需要压缩的文件路径  /opt/app/aaa or /opt/app/aaa.txt
     * @param out [可选参数，默认为压缩文件同级路径]压缩文件输出的路径地址 /opt/app/aaa.zip
     */
    static zip(file: string, out?: string): Promise<Boolean>;
    /**
     * unzip 解压
     * @param path 需要解压文件路径 /opt/app/aaa.zip
     * @param out  解压文件输出路径 /opt/app/
     */
    static unzip(file: string, out: string): Promise<Boolean>;
}
